## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-ipc

Name:           rust-%{crate}
Version:        0.28.0
Release:        %autorelease
Summary:        Interprocess communication infrastructure for Sequoia

# Upstream license specification: LGPL-2.0-or-later
License:        LGPLv2+
URL:            https://crates.io/crates/sequoia-ipc
Source:         %{crates_source}
# Initial patched metadata
# * drop Windows-specific dependencies
# * bump capnp-rpc dependency from 0.13 to 0.14
Patch0:         sequoia-ipc-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Interprocess communication infrastructure for Sequoia.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+compression-bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-deflate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-deflate-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-deflate" feature of the "%{crate}" crate.

%files       -n %{name}+compression-deflate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch s390x
# skip a test that implicitly relies on Little-Endian byte order
%cargo_test -- -- --skip read_port_and_nonce
%else
%cargo_test
%endif
%endif

%changelog
* Sat May 07 2022 Fabio Valentini <decathorpe@gmail.com> 0.28.0-1
- Update to version 0.28.0; Fixes RHBZ#2077845

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> 0.27.0-1
- Update to version 0.27.0; Fixes RHBZ#2029486

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.26.0-2
- Restore test bypass for s390x

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.26.0-1
- Update to 0.26.0 Close: rhbz#1998105

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-2
- Skip a test that implicitly relies on Little-Endian byte order on s390x.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-1
- Initial package

